Skip to main content
GET
/
workspaces
/
{workspaceId}
/
transaction-limits
/
{limitId}
Get Transaction Limit by ID
curl --request GET \
  --url https://api.bron.org/workspaces/{workspaceId}/transaction-limits/{limitId}
import requests

url = "https://api.bron.org/workspaces/{workspaceId}/transaction-limits/{limitId}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.bron.org/workspaces/{workspaceId}/transaction-limits/{limitId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "appliesTo": {
    "userIds": [
      "<string>"
    ]
  },
  "createdAt": "<string>",
  "destinations": {
    "accountIds": [
      "<string>"
    ],
    "addressBookRecordIds": [
      "<string>"
    ],
    "toAccounts": true,
    "toAddressBook": true,
    "toExternalAddresses": true
  },
  "externalId": "<string>",
  "limitId": "<string>",
  "limitRule": {
    "approve": {
      "numberOfApprovals": "<string>",
      "authorisedApproversUserIds": [
        "<string>"
      ]
    },
    "securityDelay": {
      "durationHours": "<string>"
    },
    "skipApproval": true
  },
  "sources": {
    "accountIds": [
      "<string>"
    ]
  },
  "transactionParams": {
    "aboveAmount": {
      "amount": "<string>"
    },
    "durationHours": "<string>"
  },
  "workspaceId": "<string>",
  "createdBy": "<string>",
  "updatedAt": "<string>",
  "updatedBy": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Path Parameters

workspaceId
string
required
limitId
string
required

Response

OK

appliesTo
object
required
createdAt
string<date-time-millis>
required
Example:

"1745344441863"

destinations
object
required
externalId
string
required
Example:

"pzkcv5thuuuk91hbv6qgko4x"

limitId
string
required
Example:

"m11gwfggyjcqyhwhjllzs8qq"

limitRule
object
required
limitType
enum<string>
required
Available options:
transactions-volume,
transaction-amount
sources
object
required
status
enum<string>
required
Available options:
new,
active,
deactivated,
declined
transactionParams
object
required
workspaceId
string
required
Example:

"e191u51yxnykins6fahd"

createdBy
string
Example:

"w9jh0gf3w9qaxlre7enezt17"

updatedAt
string<date-time-millis>
Example:

"1745344441863"

updatedBy
string
Example:

"w9jh0gf3w9qaxlre7enezt17"